API 目录

OpenAI 查询任务

GET
/v1/videos/{id}

Vortap 查询视频任务

GET https://www.vortapapi.com/v1/videos/{id}

根据视频任务 ID 查询任务详情、当前状态、进度信息以及生成相关的元数据。

路径参数

名称类型必填说明
idstring要查询的视频任务 ID。

请求头

名称必填说明
Content-Type请求内容类型,通常为 application/json
Accept期望的响应格式,通常为 application/json
AuthorizationAPI 鉴权信息,格式通常为 Bearer sk-***
X-Forwarded-Host转发主机信息;仅在特定代理或网关场景下使用。

请求示例

curl "https://www.vortapapi.com/v1/videos/sora-2:task_01k6x15vhrff09dkkqjrzwhm60" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-***"

响应示例

{
  "id": "sora-2:task_01k6x15vhrff09dkkqjrzwhm60",
  "detail": {
    "id": "task_01k6x15vhrff09dkkqjrzwhm60",
    "input": {
      "size": "small",
      "model": "sy_ore",
      "images": [
        "https://www.vortapapi.com/v1/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
        "https://www.vortapapi.com/v1/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
      ],
      "prompt": "make animate",
      "orientation": "portrait"
    },
    "status": "pending",
    "pending_info": {
      "id": "task_01k6x15vhrff09dkkqjrzwhm60",
      "seed": null,
      "type": "video_gen",
      "user": "user-a1sGDUIOXV32hNITe59LEkHa",
      "model": "sy_8",
      "title": "New Video",
      "width": 352,
      "height": 640,
      "prompt": "make animate",
      "sdedit": null,
      "status": "processing",
      "actions": null,
      "guidance": null,
      "n_frames": 450,
      "priority": 2,
      "operation": "simple_compose",
      "preset_id": null,
      "created_at": "2025-10-06T15:10:26.875729Z",
      "n_variants": 1,
      "project_id": null,
      "request_id": null,
      "generations": [],
      "tracking_id": null,
      "progress_pct": 0.9302178175176704,
      "remix_config": null,
      "inpaint_items": [
        {
          "type": "image",
          "preset_id": null,
          "crop_bounds": null,
          "frame_index": 0,
          "cameo_file_id": null,
          "generation_id": null,
          "upload_media_id": "media_01k6x15tnzezbst05sth2qgd8r",
          "source_end_frame": 0,
          "uploaded_file_id": null,
          "source_start_frame": 0
        },
        {
          "type": "image",
          "preset_id": null,
          "crop_bounds": null,
          "frame_index": 0,
          "cameo_file_id": null,
          "generation_id": null,
          "upload_media_id": "media_01k6x15tzafwztz74t018v3enw",
          "source_end_frame": 0,
          "uploaded_file_id": null,
          "source_start_frame": 0
        }
      ],
      "interpolation": null,
      "is_storyboard": null,
      "failure_reason": null,
      "organization_id": null,
      "moderation_result": {
        "code": null,
        "type": "passed",
        "task_id": "task_01k6x15vhrff09dkkqjrzwhm60",
        "is_output_rejection": false,
        "results_by_frame_index": {}
      },
      "needs_user_review": false,
      "queue_status_message": null,
      "progress_pos_in_queue": null,
      "num_unsafe_generations": 0,
      "estimated_queue_wait_time": null
    }
  },
  "status": "pending",
  "status_update_time": 1759763621142
}

响应字段说明

字段类型说明
idstring视频任务的外部标识。
detailobject任务的详细信息。
detail.idstring任务内部 ID。
detail.inputobject创建任务时使用的输入参数。
detail.statusstring任务状态,例如 pending
detail.pending_infoobject当任务仍在处理中时返回的进度、队列、审核和生成配置等信息。
statusstring当前任务状态。
status_update_timeinteger状态更新时间,通常为毫秒级时间戳。